HouseHold Accounting for Windows
*** RELEASE NOTES ***	Updated: January 01, 2001

2.07.07 January 01, 2001: Released
	* Fixed bug that inhibitted backup process on Windows NT
	* Now able to archive entries by account
	* Redesign account viewing, entry, saving & deletion process
	* Now able to modify, create & delete code categories
	* Fixed bug that caused expense totals not to show on the 
	  Journal Entries screen if there were no income entries
	* Can now filter entries on the Journal Entries screen to
	  show all entries or for a specific account
	* Will not fill in the default account on the Journal Entries
	  screen of the account does not exists
	* Switch Live Update server

2.06.01 July 21, 2000: Released
	* Format end date field on the Check Register reports
	* Resize Backup window
	* Modify credit card alert module to account for 
	  credit balance on credit cards (can occur if client
	  overpays!!)
	* Enters $0.00 in expense status field when all entries are
	  deleted off the Journal Entries screen
	* Add tips for Category field on the GL Codes screen
	* If AutoFill is off, will still enable/disable income or
	  expense fields based on the entry type
	* If the screen resolution is less that 800 * 600, the 
	  Change Display Settings Windows dialog will open
	

2.05.03 June 30, 2000: Released
	* Discontinue Bank Reconciliation feature
	* Add "Check for new update" option to Systems Settings
	  window
	* Add "Open Entries" screen option to Systems Settings
	  window
	* Fix bug that may cause entries not to be created on 
	  Transfer screen
	* Fix leap year bug in Auto Payment module
	* Will now remove Scheduled and Memorized transactions
	  is system reset is selected
	* Can now scroll in the Memorized Transaction list on Create
	  Journal Entries screen
	* Remove minimize key from from Reminder window
	* Fixed bugs in the Live Update module. If an update is
	  available, will now show version information and also
	  issue audible alert is sound is turned on
	* Update registry paths to include reference to update.exe
	  file

2.05.01 June 22, 2000: Not Released
	* Change Cleared object from check box to drop down list on the
	  Create Journal Entry screen
	* If modifying check, window to title will now be:
	  Modify Check: check #
	* Add status text for all menu items
	* Resize the entry status label on the Journal Entry
	  screen
	* Center Journal Entry reports on page
	* Add Auto Payment feature
	* Set validation for Memorized Transaction fields
	* Add Schedule button to toolbox window
	* Add Auto Payment 'Prompt' option to Systems Settings
	  window
	* Add Auto Payment 'Check at Startup' option to 
	  Systems Settings window
	* Add 'Prompt on exit' option to Systems Settings window
	* Implement Reconciliation feature
	* Fixed bug that caused user to be unable to enter a negative
	  opening balance for accounts
	* Create a shortcut pop up menu for data entry windows. Activated 
	  by clicking the right mouse button
	
2.04.01 June 10, 2000: Released
	* All PB Dlls are now stored in the Windows/System dir
	* If 'Process Enter as Tab key' is turned on and the
	  Enter key is selected while focus is on the 'Clr'	
	  field, a new row will be inserted. The default value
	  for the 'Clr' field will also be inserted.
	* Stop word scrolling on about screen
	* Change AUTOLOGON login name
	* If Backup on exit window is opened, will not start another
	  instance for the application
	* Update What New help topic
	
2.03.05 June 04, 2000: Released
	* Remove all ALT+C shortcut keys from Close buttons	

2.03.04 May 29, 2000: Released
	* Change mnemonic for Clear option on Check screen
	* Make the splash screen non-resizeable

2.03.02 May 29, 2000: Uploaded to Nettaxi
	* If the income column has a value in it and the Enter
	  key is pressed, a new row will be inserted
	* Users can now set if an entry is cleared on the Journal
	  Entries screen
	* Modify Quick Balance screen to include or exclude 
	  uncleared entries from balance formula
	* Modify Check Register reports to display if checks are
	  cleared or not
	* Modify Check Register report criteria to allow user to
	  run checks reports for cleared, uncleared or both
	* Fix bug that caused report title not to refresh if the
	  Journal Entries by Category report is up and the GL
	  Account by Account is generated
	* Modify Journal Entries report to include or exclude 
	  uncleared entries from the report and report balance
	* Add option to Check screen to mark if check is cleared
	  or not
	* Add option to Transfer screen to mark if entry is cleared
	  or not
	* Add option to System Settings screen to specify what the
	  default value for 'Clear' should be on the Journal 
	  Entries screen
	* Add option to Systems Setings Alerts tab to include or 
	  exclude uncleared entries from Alert balances

2.02.01 May 27, 2000: Released
	* Updated Help file with registration information

2.01.01 May 21, 2000: Released
	* If the user click on the install date on the Systems
	  Settings window, Windows Explorer will open to that path
	* Reword Credit Card limit exeeded warning message
	* Add mnemonic (SHIFT + CTRL + R) to About screen to open 
	  new ISQL window
	* Format phone numbers on check screen
	* Wrap non-checking account message on check screen
	* Fix bug that cause current balance not to calculate on
	  Account report

2.00.02 Mar 15, 2000: Released
	* Implement the Bank Reconciliation feature
	* Distribute some bitmaps with program instead of adding
	  to the executable
	* Change the look of the GL Code search help window
	* Add Reconcile & Memorized options to Toolbox
	* Back out Bank Reconciliation feature from this release
	* Remove Reconcile option from toolbox and menu

2.00.01 Mar 05, 2000
	* Change edit fonts to MS San Serif from Aerial. The aerial
	  font caused an indentation in the input fields
	* Allow the use of the arrow keys to navigate the Tour screen
	* User can now click on the topic text on the tour screen to
	  skip to a specific topic

1.99.04 Feb 20, 2000
	* Stop FPT/X licence screen from popping up just prior 
	  to opening of Live Update screen

1.99.03 Feb 20, 2000
	* Fixed bug that caused simultaneous dual database access 
	  error on the Code Category screen
	* Each tab on the Systems settings window accesses a 
	  different help topic
	* Stop registration window display for Live Update

1.99.02 Feb 20, 2000: Not Released
	* If backing up to a floppy disk will prompt to confirm that
	  there is a diskette in the drive
	* Add Memorized Transaction topic to help	

1.99.01 Feb 18, 2000: Uploaded to Nettaxi
	* Update the date format in the Control Panel to always be
	  mm/dd/yyyy
	* Change the Backup Prompt window title to be Backup...
	* Back out code that updates the date format in the Control 
	  Panel to always be mm/dd/yyyy

1.98.03 Feb 16, 2000: Uploaded to Nettaxi
	* Update pics in Tour screen
	* Add new key to ini file to turn off resolution message
	  after its displayed the first time. Everytime you install
	  a new update, the message will display once
	* Create App methods for each task performed in the App
	  Open & Close events
	* Filter out Credit Card & Cash accounts from the check
	  report retrieval id list
	* Fixed bug that cause system error when the tab or the 
	  browse button was clicked in the backup prompt window
	* List for explanation on the Journal Entries screen will 
	  only drop down automatically if there are memorized 
	  transaction entries

1.98.02 Feb 13, 2000 - Version 1.98.02: not released
	* Create new table definition for Memorized Transaction
	* Implement Memorized Transaction feature
	* Change the balance retrieval criteria for the Quick Balance
	  screen
	* Fixed error that was caused by a single quote in the
	  Check and Transfer explanations
	* Filter out the BALANCE TRANSFER GL from the Write Check
	  Code selection window when
	* Filter out Accounts from the Write Check screen ID 
	  selection window which are not Checking or Saving
	* Fixed bug that caused incorrect GL Code to be retrieved
	  in drop down list when the gl descriptions are 
	  identical

1.98.01 Feb 1, 2000 - Version 1.98.01: not released
	* Add Alerts to Systems Settings
	* Moved Toolbar Settings to Systems Settings
	* Removed Announce & Toolbar windows to working pbl
	* Add menu items for Memorized and Scheduled trans.
	* Add message if an opening balance amount is > 0.00
	  for a credit card account
	* Reset Check Number screen will not show credit card
	  or cash accounts
	* Add option to Quick Balance screen to show balances
	  as of today or including future dated entries
	* Change the menu and toolbox label for Insert to 
	  New Entry
	* Will have to click Other Information button on the
	  Add Account screen to see address information
	* Change the window title of the Add Account screen to
	  Add Account
	* Modify the look of the Security windows
	* Change login window title to Login to HouseHold Accounting
	  for Windows
	* Add 2 more status meters to the login window
	* Program will now use the windows calculator
	* Start implementing the Alert features: Max & Min acccount balances,
	  Credit Limits, Check Reorder & Monthly Expense Spending Limits
	* Add topic to Online Help for What's New
	* Add new button to Greeting window to view What's New topic
	
1.97.03 Jan 28, 2000 - Version 1.97.03: Uploaded to nettaxi
	* Reword resolution message
	* Disable Live Update menu if not registered
	* Will now retart program when registered
	* Update Register topic in help file
	* Will not show DB engine running
	* Sort GL Codes by category
	* If BALANCE TRANSFER GL Code doesn't exist the 
	  program will create it for you when a balance 
	  transfer is performed
	* Add Category to GL Codes report
	* Update error messages
	* Does not display checking account message when
	  account id is blank on the Check screen

1.97.02 Jan 17, 2000 - Version 1.97.02: released
	* Change the window type from popup to response for
	  bookmark
	* Allow user to specify 0 to turn off idle
	* Change expense/income default amount from null
	  to 0.00 when doing a transfer or writing a check
	* If there is a modification to a data entry screen
	  and it is closed, make sure the window is brought
	  to the top	
	* Disable Toolbox Insert, Delete & Save options if
	  the Calculator & Quick Balance window is active
	* Make the .exe file smaller by creating a .pbd for
	  the app pbl
	* Make the main window the parent for all popup 
	  windows
	* Change the vertical position of the toolbox window

1.97.01 Jan 03, 2000 - Version 1.97.00001: not released
	* Added the ability to specify output for report
	  on the retrieval criteria screens
	* Program will now remember last bank acount and
	  check number that the prior report was generated
	  with
	* Added item for Cash in the Bank Account Type list
	* Change the background color of the check screen
	* Place asterisks @ the end of the check amount words

1.96.03 Dec 31, 1999 - Version 1.96.00003: not released
	* Added option to the Systems Settings screen to
	  remember check payees
	* Changed the title of the report retrieval screens
	* Added the ability to specify categories for the 
	  GL codes and run a report by the category type
	* Split the generic.pbd file into 2 parts (A & B)
	
1.96.02 Dec 16, 1999 - Version 1.96.00002: not released
	* Fixed bug that caused a check entry to be
	  disabled on the Journal Entry screen after 
	  a check was saved
	* Add animated globe to Live Update screen
	* Add animated book to About screen
	* Add a backup progress meter to backup screen

1.96.01 Dec 03, 1999 - Version 1.96.00001: not released
	* Included bank & gl code in summary section
	  of reports
	* Updated Register topic in Help file
	* Rename menu item from Edit User(s) to Security
	* Add a tutorial
	* Added to tutorial option to Help menu and
	  Welcome screen
	* Fixed bug that caused program to freeze if the
	  login window was opened and the user clicked the
	  start menu toolbar icon for the program while a
	  response window was opened
	* Fixed bug that gave duplicate check # error when
	  dealing with check numbers that are the same in
	  different bank accounts
	* Add window to reset check numbers
	* Add option to run check register report by 
	  check # or for all accounts at once

1.95.03 Nov. 22, 1999 - Version 1.95.00003: Released
	* Resize the Journal entry window
	* Allow alpha-numeric zip codes on the bank
	  account screen
	* Upgraded the Help file

1.95.02 Nov. 16, 1999 - Version 1.95.00002: Uploaded to Nettaxi
	* Removed the shortcut key for the 'Mail DB' option
	* Add column headings to the code dddw for the 
	  Journal Entries screen
	* Resized the toolbox & tips window
	* Disable the Insert & Delete buttons on the
	  toolbox window when the check window is opened
	* Fixed bug that didnt prompt to save on the
	  Systems Settings screen when the value in the 
	  acct id box was changed

1.95.01 Nov. 16, 1999 - Version 1.95.00001: not released
	* Issue confirmation if check is written with an 
	  income account
	* Save the next check number for each bank account
	* Issue confirmation if check is written with a
	  bank account that is not Checking
	* If a check is saved and the Journal Entries 
	  window is opened, the program will will scroll 
	  to the entry

1.94.05 Nov. 16, 1999 - Version 1.94.00005: Uploaded to Nettaxi
	* Modified the way income/expense columns are 
	  enabled/disabled based on the entry type
	* When entries are saved, the cursor remains on 
	  the same row
	* Added a tip to the import error message
	
1.94.04 Nov. 13, 1999 - Version 1.94.00004: Uploaded to Nettaxi
	* Made changes to some menu shortcut keys & added 
	  toolbar icons for the Select All & Deselect All
	  menu items
	* Changed the default size of the main window

1.94.03 Nov. 12, 1999 - Version 1.94.00003: not released
	* Disable/Enable income/expense column based 
	  on the GL Code for the entry (income/expense)
	* Implemented the 'Send Database' feature
	* Included a sample psr report in the archive
	* Fixed bug that caused a system error when the
	  main screen was not opened and the program's 
	  idle event tries to disable the instance 
	  variables for the toolbox and tips windows

1.94.02 Nov. 11, 1999 - Version 1.94.00002: not released
	* Added a tip to the export error message
	* Journal Entry screen is refreshed immediately
	  if GL Codes or bank accounts are created or 
	  deleted (dont have to close & reopen Journal 
	  Entry screen to view changes)
	* Disabled the Insert, Save, Delete & Modify Check
	  options on the toolbox if a data entry window is
	  not opened
	* Disabled the check number field on the Journal 
	  Entry screen thereby forcing the user to work with
	  the check screen in order to write/modify checks 
	* Added a down arrow to all drop down calendar
	  buttons

1.94.01 Nov. 08, 1999 - Version 1.94.00001: not released
	* Stop save confirmation dialog box from popping
	  up when no changes are made to the check screen.
	  Usually happens when a check is saved and the 
	  next check number is automatically filled in
	* Added reports to show bank account details &
	  another for all GL Codes

1.93.03 October 31, 1999 - Version 1.93.00003: not released
	* Fixed bug that reported incorrect database file 
	  create and modify time on the Backup window
	* Changed the text for the cancel & register button 
	  on the Register screen from Cancel to Register 
	  Later & Register to Register Now

1.93.02 October 31, 1999 - Version 1.93.00002: not released
	* Fixed bug that caused the 'paidto' item to
	  become NULL if a check entry was changed and 
	  updated on the Create Journal Entry screen
	* Included the time the last backup was done
	* Fixed random bug in the Live Update module that
	  cause the screen not to close when the update
	  was complete
	* Modified the code for the Idle module so that 
	  the program does not have to be restarted when the
	  value is changed in order for the settings to take 
	  effect 
	* Centered the Toolbar window
	* Added a validation to make sure that the start date
	  cannot be greater than the end date on any window
	* Updated the error log to include the window or menu
	  name in which a system error occurred
	* Added tab icons to the users screens
	* Add a toolbar icon for the Modify Check menu option
	* Changed the save report option to only allow certain
	  save as types
	
1.93.01 October 26, 1999 - Version 1.93.00001: released
	* Added internet bookmark option
	* Modified code for Live update feature

1.92.03 October 17, 1999
	* Disable all windows behind the login window
	  thereby causing the illusion that the login
	  window is a rsponse window type. Could not make
	  the login window a response because it is not
	  called from a parent window

1.92.03 October 17, 1999
	* Added a print dialog to select print options for
	  reports
	* Increased the default size of the report windows
	  when the are not maximized
	* Added dropdown calendar to select dates
	* Fixed bug that caused tooltips not to show

1.92.03 October 13, 1999
	* Changed the title of the backup window from
	  'Systems Settings' to 'Backup...'
	* Removed the control menu from the select directory
	  window. If the window was close with the control 
	  menu, the current directory would not be reset to 
	  the program directory
	* Hide the ftp control from view when checking for 
	  new updates
	* Added the ftpx.dll file as part of the deployment
	  package. Auto update will not work without this file

1.92.03 October 11, 1999
	* Display reg code and serial number on the About
	  screen
	* Display 'Unregistered' in the title bar if program
	  is an unregistered version
	* Added code to disable 'Modify Check' option 
	  when there are no entries on the Create Journal 
	  Entry window

1.92.02 October 09, 1999
	* Added code to disable 'Modify Check' option 
	  when the Create Journal Entry window is closed
	* Fixed bug on the register window that caused the
	  windows not to close when the program is registered
	  and the program will also hang when restarted

1.92.01 October 08, 1999
	* Corrected misspelt words in online help

1.92.01 October 07, 1999
	* Added code to expire software if not registered
	  in 30 days

1.91.04 October 06, 1999
	* Updated online help
	* Modified the look of the Bank Account window
	* Updated the list of default GL Codes
	* Fixed bug that caused an invalid column error
	  when there are no entries on the Create Journal
	  Entry window

1.91.04 October 05, 1999
	* Add the abiltity to sort data by clicking on
	  the column headings

1.91.03	October 03, 1999
	* Added a new option (Modify Check) which will
	  allow users to change the details of an existing 
	  check entry.
	* Fixed bug on the Money Transfer window that caused
	  a conversion error when the transfer amount had 
	  more than 3 dollar digits.
	* Updated import failed error message that was
	  returned when the import file was an incorrect
	  format.
	* Updated the date validation error message that was
	  displayed when an invalid date was entered on the
	  Reminder and the Create Journal Entries window.

1.91.02	October 02, 1999
	* Implemented the 'Automatic Update' feature.
	  If a new program update exists, the program can now 
	  automatically download the software and run the setup
          program to update itself.

1.91.02	October 01, 1999
	* Modified code to allow reports to be generated
	  even if already on screen.
	
1.91.01	September 30, 1999
	* Fixed tab order on various windows.
	* Removed the 'Show Entry Retrieve' window fom the
	  program. Entry retrieval time now increased by 70%.
